classification
Title: Add HTTPErrorProcessor class definition
Type: Stage: resolved
Components: Documentation Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, eric.araujo, orsenthil, python-dev, sandro.tosi
Priority: normal Keywords: patch

Created on 2011-07-03 12:53 by sandro.tosi, last changed 2011-07-18 23:31 by orsenthil. This issue is now closed.

Files
File name Uploaded Description Edit
HTTPErrorProcessor_class-default.patch sandro.tosi, 2011-07-03 12:53 review
HTTPErrorProcessor_class-py27.patch sandro.tosi, 2011-07-03 12:53
Messages (5)
msg139687 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2011-07-03 12:53
As reported in http://mail.python.org/pipermail/docs/2011-June/004879.html urllibs/urllib.request misses the definition of HTTPErrorProcessor class; the attached patches add it to the documentation.
msg140545 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-07-17 22:44
New changeset 8d64d47569cb by Senthil Kumaran in branch '3.2':
Fix closes Issue12479 - Add HTTPErrorProcessor class definition - Patch by Sandro Tosi
http://hg.python.org/cpython/rev/8d64d47569cb

New changeset b2125a6deb96 by Senthil Kumaran in branch 'default':
merge from 3.2 - Fix closes Issue12479 - Add HTTPErrorProcessor class definition - Patch by Sandro Tosi
http://hg.python.org/cpython/rev/b2125a6deb96

New changeset b9ae6be1874d by Senthil Kumaran in branch '2.7':
merge from 3.2 - Fix closes Issue12479 - Add HTTPErrorProcessor class definition - Patch by Sandro Tosi
http://hg.python.org/cpython/rev/b9ae6be1874d
msg140580 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-07-18 14:03
It seems to me that the doc after the patch is barely more helpful.  It does not explain when and how one would see or use the class, nor what it does.
msg140582 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-07-18 14:07
Ah, I see that the class is referenced earlier in the file, and that its methods come after.  I’d put the class definition just before the methods.  (I would even refactor the reST to use nested class/method combo, but that’s a minor markup cleanup, not a content improvement.)
msg140633 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2011-07-18 23:31
On Mon, Jul 18, 2011 at 02:07:42PM +0000, Éric Araujo wrote:
> I’d put the class definition just before the methods.  (I would even
> refactor the reST to use nested class/method combo...

This is a good suggestion. It would good to do some point in time soon.
Thanks!
History
Date User Action Args
2011-07-18 23:31:12orsenthilsetnosy: + orsenthil
messages: + msg140633
2011-07-18 14:07:41eric.araujosetmessages: + msg140582
2011-07-18 14:03:46eric.araujosetnosy: + eric.araujo
messages: + msg140580
2011-07-17 22:44:38python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg140545

resolution: fixed
stage: patch review -> resolved
2011-07-03 12:53:45sandro.tosisetfiles: + HTTPErrorProcessor_class-py27.patch
2011-07-03 12:53:39sandro.tosicreate